<?php
/*
Plugin Name: Hello World
Description: Echos "Hello World" in footer of theme
Version: 1.0
Author: Chris Cagle
Author URI: http://www.cagintranet.com/
*/
 
# get correct id for plugin
$thisfile=basename(__FILE__, ".php");
 
# register plugin
register_plugin(
	$thisfile, //Plugin id
	'Grey Admin Theme', 	//Plugin name
	'1.0', 		//Plugin version
	'Mateusz Skrzypczak',  //Plugin author
	'https://multicolor.stargard.pl/', //author website
	'Next Grey Admin Theme', //Plugin description
	'plugins', //page type - on which admin tab to display
	'grey_active'  //main function (administration)
);
 
# activate filter 
add_action(' header ','grey_style'); 
add_action(' index-login ','grey_style'); 


register_style('greystyle', $SITEURL.'plugins/greyTheme/css/style.css', GSVERSION, 'screen');
 queue_style('greystyle',GSBACK); 

 
 
register_script('greyscript', $SITEURL.'plugins/greyTheme/js/script.js', '0.1', TRUE);


queue_script('greyscript', GSBACK); 
 
 

# add a link in the admin tab 'theme'
add_action('plugins-sidebar','createSideMenu',array($thisfile,'Grey active'));
 
# functions
function grey_style() {
	echo'<link rel="stylesheet" href="https://unicons.iconscout.com/release/v0.0.3/css/unicons.css">';
	

}
 
function grey_active() {
	echo '<p>Thanks for download</p>';
}
?>